Bug 1127387 - systemd-tmpfiles need updating from /var/run/* to /run/*
systemd-tmpfiles need updating from /var/run/* to /run/*
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: Basesystem
Current
x86-64 openSUSE Factory
: P5 - None : Normal (vote)
: Current
Assigned To: Christian Wittmer
E-mail List
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2019-02-28 14:56 UTC by Deleted Name
Modified: 2020-01-01 20:29 UTC (History)
3 users (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Deleted Name 2019-02-28 14:56:46 UTC
STR:

# journalctl -b | grep "var/run" | grep -i "please update"

The output of the command suggests that multiple services need update of the path. One example (of many):

[/usr/lib/tmpfiles.d/mariadb.conf:1] Line references path below legacy directory /var/run/, updating /var/run/mysql → /run/mysql; please update the tmpfiles.d/ drop-in file accordingly
Comment 1 Script User Autobuild 2019-03-01 09:08:40 UTC
Feb 28 11:24:21 Fatou systemd-tmpfiles[15881]: [/usr/lib/tmpfiles.d/ddclient.conf:1] Line references path below legacy directory /var/run/, updating /var/run/ddclient → /run/ddclient; please update the tmpfiles.d/ drop-in file accordingly.
Feb 28 11:24:21 Fatou systemd-tmpfiles[15881]: [/usr/lib/tmpfiles.d/dovecot.conf:2] Line references path below legacy directory /var/run/, updating /var/run/dovecot/ → /run/dovecot/; please update the tmpfiles.d/ drop-in file accordingly.
Feb 28 11:24:21 Fatou systemd-tmpfiles[15881]: [/usr/lib/tmpfiles.d/dovecot.conf:3] Line references path below legacy directory /var/run/, updating /var/run/dovecot/login/ → /run/dovecot/login/; please update the tmpfiles.d/ drop-in file accordingly.
Feb 28 11:24:21 Fatou systemd-tmpfiles[15881]: [/usr/lib/tmpfiles.d/lirc.conf:1] Line references path below legacy directory /var/run/, updating /var/run/lirc → /run/lirc; please update the tmpfiles.d/ drop-in file accordingly.
Feb 28 11:24:21 Fatou systemd-tmpfiles[15881]: [/usr/lib/tmpfiles.d/mariadb.conf:1] Line references path below legacy directory /var/run/, updating /var/run/mysql → /run/mysql; please update the tmpfiles.d/ drop-in file accordingly.
Feb 28 11:24:21 Fatou systemd-tmpfiles[15881]: [/usr/lib/tmpfiles.d/net-snmp.conf:1] Line references path below legacy directory /var/run/, updating /var/run/net-snmp → /run/net-snmp; please update the tmpfiles.d/ drop-in file accordingly.
Feb 28 11:24:21 Fatou systemd-tmpfiles[15881]: [/usr/lib/tmpfiles.d/radvd.conf:1] Line references path below legacy directory /var/run/, updating /var/run/radvd → /run/radvd; please update the tmpfiles.d/ drop-in file accordingly.
Feb 28 11:24:21 Fatou systemd-tmpfiles[15881]: [/usr/lib/tmpfiles.d/samba.conf:1] Line references path below legacy directory /var/run/, updating /var/run/samba → /run/samba; please update the tmpfiles.d/ drop-in file accordingly.
Feb 28 11:24:21 Fatou systemd-tmpfiles[15881]: [/usr/lib/tmpfiles.d/svnserve.conf:1] Line references path below legacy directory /var/run/, updating /var/run/svnserve → /run/svnserve; please update the tmpfiles.d/ drop-in file accordingly.
Feb 28 11:24:21 Fatou systemd-tmpfiles[15881]: [/usr/lib/tmpfiles.d/vpnc.conf:1] Line references path below legacy directory /var/run/, updating /var/run/vpnc → /run/vpnc; please update the tmpfiles.d/ drop-in file accordingly.


well, starting by re-assigning to mariadb ...
Comment 2 Kristyna Streitova 2019-03-01 14:55:32 UTC
Is it really needed to update it in openSUSE:Leap:15? I believe that this sounds like something we should address within the development in openSUSE:Factory not as a maintenance update. Also, probably many of these tmpfiles are coming from upstream so we should report it upstream in the first place.
Comment 3 Deleted Name 2019-03-01 20:57:34 UTC
> Is it really needed to update it in openSUSE:Leap:15?

I can't answer that. I just reported it for the version where I noticed it.

> Also, probably many of these tmpfiles are coming from upstream so we should report it upstream in the first place.

I don't think I would be able to do that personally but I agree it would be good to have that fixed in all distros.
Comment 4 Kristyna Streitova 2019-03-06 13:28:46 UTC
In that case, if you don't mind, I would switch this bug to openSUSE:Tumbleweed. All maintainers of the affected packages should check if their packages contain the "/var/run" path. Also if the "/var/run" path occurs in upstream files, then they should report it upstream so it's fixed within the next upstream release.
Comment 5 Kristyna Streitova 2019-03-06 16:20:22 UTC
Regarding MariaDB: tmpfiles.d in openSUSE:Tumbleweed is already fixed and it contains the correct "/run" path now. I opened an upstream bug MDEV-18841 for the rest of the upstream files that still contain "/var/run" remnants.

I'm reassigning it to the ddclient maintainer.
Comment 6 Driva Linux 2019-07-02 14:04:36 UTC
Duplicate:


Bug 1127387 - systemd-tmpfiles need updating from /var/run/* to /run/*: https://bugzilla.suse.com/show_bug.cgi?id=1127387 (Reported: 2019-02-28 / Status:IN_PROGRESS)


Bug 1137761 - systemd-tmpfiles "updating /var/run/→ /run/": https://bugzilla.suse.com/show_bug.cgi?id=1137761 (Reported: 2019-06-10 / Status:NEW)



Thank you!
Comment 7 Swamp Workflow Management 2020-01-01 00:10:05 UTC
This is an autogenerated message for OBS integration:
This bug (1127387) was mentioned in
https://build.opensuse.org/request/show/760193 Factory / ddclient
Comment 8 Christian Wittmer 2020-01-01 20:29:03 UTC
fixed